php-proxy-manager (2.11.1+1.0.18-3) unstable; urgency=medium

  * Make provider functions static (PHPUnit 11 Fix) (Closes: #1039822)

 -- David Prévot <taffit@debian.org>  Sat, 12 Oct 2024 13:24:08 +0100

php-proxy-manager (2.11.1+1.0.18-2) unstable; urgency=medium

  * Update Standards-Version to 4.7.0
  * Use --require-file for phpabtl (Closes: #1074204)

 -- David Prévot <taffit@debian.org>  Sat, 20 Jul 2024 15:21:21 +0900

php-proxy-manager (2.11.1+1.0.18-1) unstable; urgency=medium

  [ Nicolas Grekas ]
  * Fix deprecations related to implicit nullable types

  [ Arnout Boks ]
  * Fix error when proxying a method with a mixed argument with
    a null default value

  [ David Prévot ]
  * Update versioned Provides

 -- David Prévot <taffit@debian.org>  Sat, 23 Mar 2024 10:43:49 +0100

php-proxy-manager (2.11.1+1.0.16-4) unstable; urgency=medium

  * Fix debci

 -- David Prévot <taffit@debian.org>  Thu, 15 Feb 2024 22:05:15 +0100

php-proxy-manager (2.11.1+1.0.16-3) unstable; urgency=medium

  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Sun, 11 Feb 2024 19:24:49 +0100

php-proxy-manager (2.11.1+1.0.16-2) unstable; urgency=medium

  * Upload to unstable now that bookworm has been released
  * Update versioned Provides
  * Drop now useless versionned dependencies

 -- David Prévot <taffit@debian.org>  Mon, 01 Jan 2024 09:15:10 +0100

php-proxy-manager (2.11.1+1.0.16-1) experimental; urgency=medium

  [ Nicolas Grekas ]
  * Allow Symfony 7.0
  * Fix generating default values

 -- David Prévot <taffit@debian.org>  Wed, 24 May 2023 13:45:47 +0200

php-proxy-manager (2.11.1+1.0.15-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Lars Strojny ]
  * Make property private in final class

  [ Nicolas Grekas ]
  * Fix generating proxies for arguments promoted as properties

 -- David Prévot <taffit@debian.org>  Thu, 18 May 2023 17:21:43 +0200

php-proxy-manager (2.11.1+1.0.14-1) unstable; urgency=medium

  [ Nicolas Grekas ]
  * Fix generating return statements when magic method returns void

  [ David Prévot ]
  * Update standards version to 4.6.2, no changes needed.

 -- David Prévot <taffit@debian.org>  Mon, 30 Jan 2023 13:43:49 +0100

php-proxy-manager (2.11.1+1.0.13-1) unstable; urgency=medium

  [ Oleksandr Besedin ]
  * Fix assign cache 'this' context

  [ Nicolas Grekas ]
  * Fix exporting default values on PHP 8.2/8.1

  [ David Prévot ]
  * Update upstream version (provides)
  * debian/watch: stick to v1

 -- David Prévot <taffit@debian.org>  Sat, 22 Oct 2022 12:20:57 +0200

php-proxy-manager (2.11.1+1.0.12-1) unstable; urgency=medium

  * New upstream release

  [ David Prévot ]
  * Update gbp import-orig workflow
  * Update Standards-Version to 4.6.1

 -- David Prévot <taffit@debian.org>  Sat, 18 Jun 2022 14:58:35 +0200

php-proxy-manager (2.11.1+1.0.5-2) unstable; urgency=medium

  * Upload to unstable now that Bullseye has been released
  * Allow stderr during CI for phabtpl
  * Fix or drop tests currently failing with PHP 8.1 (Closes: #1002020)
  * Update standards version to 4.6.0, no changes needed.

 -- David Prévot <taffit@debian.org>  Wed, 12 Jan 2022 14:32:25 -0400

php-proxy-manager (2.11.1+1.0.5-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Marco Pivetta ]
  * Adjusted references to `laminas/laminas-code` symbols that were made more
    type-safe (or rather precise) with `4.1.0+`

  [ David Prévot ]
  * Fix d/watch
  * Simplify gbp import-orig
  * Generate phpabtpl at build time
  * Use dh-sequence-phpcomposer instead of pkg-php-tools
  * Update provided version

 -- David Prévot <taffit@debian.org>  Tue, 20 Jul 2021 07:57:49 +0200

php-proxy-manager (2.11.1+1.0.3-1) unstable; urgency=medium

  [ Nicolas Grekas ]
  * Hello "friendsofphp/proxy-manager-lts"

  [ David Prévot ]
  * Track FriendsOfPHP fork
  * Update packaging to new source
    - Add php-symfony-filesystem build-dependency
    - Drop php-webimpress-safe-writer dependency
  * Build-depend on composer to execute more tests
  * Breaks php-symfony-proxy-manager-bridge (<< 4.4.19) to hint autopkgtest

 -- David Prévot <taffit@debian.org>  Wed, 27 Jan 2021 16:03:45 -0400

php-proxy-manager (2.11.1-1) unstable; urgency=medium

  * Upload to unstable in sync with (reverse-)dependencies
  * Install /u/s/p/{a,o}/php-proxy-manager

 -- David Prévot <taffit@debian.org>  Mon, 11 Jan 2021 09:06:24 -0400

php-proxy-manager (2.11.0-1) experimental; urgency=medium

  [ Martins Sipenko ]
  * Upgrade to PHPunit ^9.4

  [ Grégoire Paris ]
  * Allow PHP 8 (Closes: #977378)

 -- David Prévot <taffit@debian.org>  Sun, 03 Jan 2021 13:52:12 -0400

php-proxy-manager (2.10.1-1) experimental; urgency=medium

  * New upstream release.

 -- David Prévot <taffit@debian.org>  Sun, 03 Jan 2021 13:01:53 -0400

php-proxy-manager (2.10.0-1) experimental; urgency=medium

  * Upload to experimental where Laminas components are available

  [ Marco Pivetta ]
  * The minimum supported PHP version is 7.4.0

  [ Michał Bundyra ]
  * Feature: integration with webimpress/safe-writer

  [ orklah ]
  * Migrating zendframework to laminas

  [ David Prévot ]
  * d/control: Drop versioned dependency satisfied in (old)stable
  * Set upstream metadata fields: Bug-Submit.
  * Update packaging to Laminas dependencies
  * Adapt to new php-webimpress-safe-writer dependency
  * Use upstream git tag as source
  * Adapt packaging to restored tests and examples
  * Fix CamelCase in patch
  * Actually include local path for tests
  * Set upstream metadata fields:
    Bug-Database, Repository, Repository-Browse, Security-Contact.
  * Set Rules-Requires-Root: no.
  * Rename main branch to debian/latest (DEP-14)
  * Use debhelper-compat 13
  * Simplify dh_auto_build call
  * Update watch file format version to 4.
  * Update Standards-Version to 4.5.1
  * Update overrides
  * Also skip system classes during tests
  * Load another class needed for tests
  * Drop phpcs call during test
  * Drop now useless copyright entry

 -- David Prévot <taffit@debian.org>  Fri, 25 Dec 2020 16:34:10 -0400

php-proxy-manager (2.2.2-1) unstable; urgency=medium

  [ Marco Pivetta ]
  * Fixed variadic argument handling in remote object proxies

  [ David Prévot ]
  * Use debhelper-compat 11
  * Get rid of get-orig-source target
  * Use https in Format

 -- David Prévot <taffit@debian.org>  Thu, 27 Sep 2018 18:26:13 -1000

php-proxy-manager (2.2.1-1) unstable; urgency=medium

  [ Nicolas Grekas ]
  * Use currently unused local $reflection var

  [ David Prévot ]
  * Update Standards-Version to 4.2.1

 -- David Prévot <taffit@debian.org>  Sun, 26 Aug 2018 19:14:37 -1000

php-proxy-manager (2.2.0-2) unstable; urgency=medium

  * Workaround the lack of PackageVersions

 -- David Prévot <taffit@debian.org>  Wed, 07 Mar 2018 17:11:23 -1000

php-proxy-manager (2.2.0-1) unstable; urgency=medium

  [ Marco Pivetta ]
  * Bumping minimum PHP version to 7.2.0
  * ProxyManager 2.2.0 release notes

  [ David Prévot ]
  * Move project repository to salsa.d.o
  * Update Standards-Version to 4.1.3
  * Drop versions not understood by dh_phpcomposer

 -- David Prévot <taffit@debian.org>  Wed, 07 Mar 2018 15:41:02 -1000

php-proxy-manager (2.1.1-1) unstable; urgency=medium

  [ Marco Pivetta ]
  * Adding 2.1.1 changelog

  [ David Prévot ]
  * Update Standards-Version to 4.0.1

 -- David Prévot <taffit@debian.org>  Sun, 06 Aug 2017 16:17:14 -0400

php-proxy-manager (2.0.4-1) unstable; urgency=medium

  [ Jefersson Nathan ]
  * Added changelog to 2.0.4

 -- David Prévot <taffit@debian.org>  Sun, 13 Nov 2016 10:24:35 -1000

php-proxy-manager (2.0.3-1) unstable; urgency=medium

  [ Marco Pivetta ]
  * Excluding `zendframework/zend-code` `3.0.3` from compatible dependencies
  * Changelog entry for release 2.0.3

  [ David Prévot ]
  * Depend on php-zend-code (>= 3.0.4)
  * Use upstream changelog

 -- David Prévot <taffit@debian.org>  Thu, 07 Jul 2016 10:36:28 -0400

php-proxy-manager (2.0.2-1) unstable; urgency=medium

  [ Marco Pivetta ]
  * 2.0.2 release notes

  [ David Prévot ]
  * Update Standards-Version to 3.9.8

 -- David Prévot <taffit@debian.org>  Sat, 28 May 2016 11:29:54 -0400

php-proxy-manager (2.0.1-2) unstable; urgency=medium

  * Upload to unstable in sync with php-zend-code
  * Rebuild with recent pkg-php-tools for the PHP 7.0 transition

 -- David Prévot <taffit@debian.org>  Tue, 22 Mar 2016 16:17:03 -0400

php-proxy-manager (2.0.1-1) experimental; urgency=medium

  * Upload new branch to experimental

  [ Marco Pivetta ]
  * #241 #271 - upgrading requirement to support PHP 7 only
  * #284 - adding `Version::getVersion()` as per specification
  * Codesniffer 2.5.1 includes fixes that fix our build: required

  [ Jefersson Nathan ]
  * Added changelog to 2.0.1

  [ David Prévot ]
  * Adapt to shorten distribution
  * Mimic `Version::getVersion()` behavior
  * Rely on recent php-codesniffer behavior
  * Update Standards-Version to 3.9.7

 -- David Prévot <taffit@debian.org>  Fri, 26 Feb 2016 14:54:19 -0400

php-proxy-manager (1.0.2-1) unstable; urgency=medium

  [ Marco Pivetta ]
  * Implemented `FileNotWritableException` for file-write handling issues

 -- David Prévot <taffit@debian.org>  Sat, 29 Aug 2015 14:25:06 -0400

php-proxy-manager (1.0.0-2) unstable; urgency=medium

  * Upload to unstable as needed by recent version of
    php-symfony-proxy-manager-bridge
  * Provide homemade autoload.php

 -- David Prévot <taffit@debian.org>  Mon, 18 May 2015 22:54:46 -0400

php-proxy-manager (1.0.0-1) experimental; urgency=medium

  [ Marco Pivetta ]
  * Bumping version to 1.0.0 (release preparation)

  [ malukenho ]
  * Use hightlight

  [ David Prévot ]
  * Use local highlight.js

 -- David Prévot <taffit@debian.org>  Sun, 14 Dec 2014 10:43:38 -0400

php-proxy-manager (1.0.0~beta3-1) experimental; urgency=medium

  [ Marco Pivetta ]
  * Bumping version to 1.0.0-beta3

 -- David Prévot <taffit@debian.org>  Wed, 12 Nov 2014 16:21:17 -0400

php-proxy-manager (1.0.0~beta2-1) experimental; urgency=medium

  [ Marco Pivetta ]
  * #189 - `ClassGeneratorUtils` should work also with generic method generators

  [ malukenho ]
  * Implement solution to not generate magic method if it's final

  [ David Prévot ]
  * Use php-symfony-class-loader instead of php-symfony-classloader

 -- David Prévot <taffit@debian.org>  Mon, 27 Oct 2014 18:18:17 -0400

php-proxy-manager (1.0.0~beta1-1) experimental; urgency=medium

  [ Marco Pivetta ]
  * Bumping current version to `1.0.0-beta1`

  [ malukenho ]
  * Start to tranform documentation to html

  [ David Prévot ]
  * Ship HTML documentation
  * Use PHPCS for tests

 -- David Prévot <taffit@debian.org>  Thu, 09 Oct 2014 17:45:55 -0400

php-proxy-manager (0.5.2-1) experimental; urgency=medium

  [ Marco Pivetta ]
  * Bumping phpunit version in composer.json

  [ David Prévot ]
  * Depend on recent phpunit to pass the testsuite
  * Drop now useless XS-Testsuite
  * Bump standards version to 3.9.6

 -- David Prévot <taffit@debian.org>  Thu, 02 Oct 2014 17:05:41 -0400

php-proxy-manager (0.5.1-1) experimental; urgency=medium

  * Install examples
  * Run integration tests
  * Install upstream changelog
  * Upload to experimental since php-symfony-proxy-manager-bridge depends on
    >=0.3.1,<0.4-dev currently.

 -- David Prévot <taffit@debian.org>  Wed, 13 Aug 2014 15:26:21 -0400

php-proxy-manager (0.3.6-1) unstable; urgency=low

  * Initial release (Closes: #757284)

 -- David Prévot <taffit@debian.org>  Fri, 08 Aug 2014 18:14:27 -0400
